Sketchup.require('curic_screen_scale/dialog')
module CURIC
  class << self
    attr_accessor :tools_command
  end
  @tools_command ||= UI.menu('Tools').add_submenu('Curic')

  module ScreenScale
    file = __FILE__

    SCALES = {}
    SCALES['1/1'] = 1.0
    SCALES['1/10'] = 1 / 10.0
    SCALES['1/20'] = 1 / 20.0
    SCALES['1/50'] = 1 / 50.0
    SCALES['1/75'] = 1 / 75.0
    SCALES['1/100'] = 1 / 100.0
    SCALES['1/200'] = 1 / 200.0
    SCALES['1/500'] = 1 / 500.0
    SCALES['1/1000'] = 1 / 1000.0

    class SSViewOB < Sketchup::ViewObserver
      def onViewChanged(_view)
        PLUGIN.refresh_dialog
      end
    end

    unless file_loaded? file
      subtools = CURIC.tools_command.add_submenu(PLUGIN_ID)

      path_r = File.join(File.dirname(__FILE__), 'Resources')

      cmd_dialog = UI::Command.new('Toggle Dialog') { toggle_dialog }

      file_ex = if Sketchup.version.to_i < 16
                  'png'
                else
                  Sketchup.platform == :platform_win ? 'svg' : 'pdf'
                end

      cmd_dialog.small_icon = File.join(path_r, "screenscale.#{file_ex}")
      cmd_dialog.large_icon = File.join(path_r, "screenscale.#{file_ex}")
      cmd_dialog.tooltip = 'Toggle Dialog'

      tb = UI::Toolbar.new(PLUGIN_NAME)
      tb.add_item(cmd_dialog)
      UI.start_timer(0.1, false) { tb.restore }

      subtools.add_item(cmd_dialog)

      file_loaded(file)
    end
  end
end
