ELEMENT.locale(ELEMENT.lang.en)


var app = new Vue({
  el: '#app',
  data: function() {
    return {
      screen_data:{},
      showDetails: false,
      visible:false,
      scale:'',
    }
  },
  methods: {
    setScreen: function () {
      sketchup.set_screen(this.screen_data);
    },
    setScale: function () {
      sketchup.set_scale(this.scale);
    },
    onShowDetails: function (){
      this.showDetails = !this.showDetails

      sketchup.set_size('showDetails', window.outerHeight, window.outerWidth, this.showDetails)
    },

    visibleChange: function (value) {
      console.log('visibleChange', value)
      this.visible = value
      sketchup.set_size('visibleChange', window.outerHeight, window.outerWidth, this.showDetails, value)
    },
    blur: function () {
      setTimeout(function(){ 
        if (app.visible){ 
          app.$refs.select.blur(); 
        } 
      }, 300);
    },
    focus: function () {
      sketchup.set_size('focus', window.outerHeight, window.outerWidth, this.showDetails)
    },
    
  },
  computed:{
  },
  mounted: function() {
    sketchup.ready(window.outerWidth, window.outerHeight);
    sketchup.set_size('showDetails', window.outerHeight, window.outerWidth, this.showDetails)
  },
})

function checkSize(size) {
  sketchup.fix_size(window.outerWidth, window.outerHeight, size);
}

function updateData(screen_data, scale) {
  app.screen_data = screen_data;
  app.scale = scale;
}